org.apache.lucene.classification

## Class ClassificationResult<T>

- java.lang.Object
- - org.apache.lucene.classification.ClassificationResult<T>

- All Implemented Interfaces:
    Comparable<ClassificationResult<T>>

      public class ClassificationResult<T>
      extends Object
      implements Comparable<ClassificationResult<T>>

  The result of a call to `Classifier.assignClass(String)` holding an assigned class of type `T` and a score.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassificationResult(T assignedClass, double score)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ClassificationResult<T> o)`
    `T` | `getAssignedClass()` retrieve the result class
    `double` | `getScore()` retrieve the result score
    `void` | `setScore(double score)` set the score value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassificationResult

          public ClassificationResult(T assignedClass,
                              double score)

      Constructor
      Parameters:
        `assignedClass` - the class `T` assigned by a `Classifier`
        `score` - the score for the assignedClass as a `double`

  - ### Method Detail

    - #### getAssignedClass

          public T getAssignedClass()

      retrieve the result class
      Returns:
        a `T` representing an assigned class

    - #### getScore

          public double getScore()

      retrieve the result score
      Returns:
        a `double` representing a result score

    - #### setScore

          public void setScore(double score)

      set the score value
      Parameters:
        `score` - the score for the assignedClass as a `double`

    - #### compareTo

          public int compareTo(ClassificationResult<T> o)

      Specified by:
        `compareTo` in interface `Comparable<ClassificationResult<T>>`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.